#!/bin/sh

cd /starcraft

echo "$CHALLENGE_FLAG" > flag.txt
unset CHALLENGE_FLAG

if [ -z "$VPN_SERVER" ]; then
  echo "Not connecting to VPN"
else
  openvpn --remote $VPN_SERVER --config client.ovpn --daemon

  echo -n "Connecting to VPN"
  until /sbin/ip -o -4 addr list tap0 2>1 >/dev/null; do echo -n "."; sleep 1; done;
  echo ""

  VPN_IP=$(/sbin/ip -o -4 addr list tap0 | awk '{print $4}' | cut -d/ -f1)
  echo "Bot IP: $VPN_IP"
fi

echo "Starting Starcraft with config:"
echo "Local port: $BW_LOCAL_PORT"
echo "Host IP: $BW_HOST_IP"
echo "Host port: $BW_HOST_PORT"
echo ""

if [ -z "$DISPLAY" ]; then
  echo "Starting Starcraft in headless mode"
  ./starcraft-headless.sh
else
  echo "Starting Starcraft in headful mode"
  ./starcraft.sh
fi
